=== purgatory/arch/s390/Makefile ===
#
# Purgatory s390
#

s390_PURGATORY_SRCS += purgatory/arch/s390/console-s390.c
s390_PURGATORY_SRCS += purgatory/arch/s390/setup-s390.S
s390_PURGATORY_SRCS += purgatory/arch/s390/purgatory-s390.c

dist += purgatory/arch/s390/Makefile $(s390_PURGATORY_SRCS)
