=== debian/changelog ===
kexec-tools (1:2.0.29-2) unstable; urgency=medium

  * Remove armhf from build-depends for libxen-dev (Closes: #1090991)

 -- Khalid Aziz <khalid@debian.org>  Mon, 30 Dec 2024 18:40:42 +0000

kexec-tools (1:2.0.29-1) unstable; urgency=medium

  * New upstream release (Closes: #1064379)
  * Fix for FTBFS on loong64 is in upstream now (Closes: #1068061)
  * Updated debian patch static_binary_warning.patch with the patch in
    bug 1010182 (Closes: #1010182)
  * Removed patch 328de8e00e298f00d7ba6b25dc3950147e9642e6.patch since
    it is in upstream now
  * Added missing newline to the error message (Closes: #1061537)

 -- Khalid Aziz <khalid@debian.org>  Mon, 29 Jul 2024 13:36:10 -0600

kexec-tools (1:2.0.27-1.3) unstable; urgency=medium
  * Non-maintainer upload.
  * Conflict with DEP17-unmitigated versions of molly-guard, bfh-container,
    progress-linux-container. (Closes: #1074086)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 23 Jun 2024 12:26:20 +0200

kexec-tools (1:2.0.27-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install programs into canonical locations in /usr. (DEP17 M2)
    (Closes: #1073031)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 00:36:59 +0200

kexec-tools (1:2.0.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix build with binutils 2.41 (Closes: #1058433)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Apr 2024 14:49:56 +0200
