=== kexec/arch/alpha/Makefile ===
alpha_KEXEC_SRCS=
dist += kexec/arch/alpha/Makefile kexec/arch/alpha/include/arch/options.h
        $(alpha_KEXEC_SRCS)
