=== purgatory/arch/i386/Makefile ===
#
# Purgatory i386
#

i386_PURGATORY_SRCS =  purgatory/arch/i386/entry32-16.S
i386_PURGATORY_SRCS += purgatory/arch/i386/entry32-16-debug.S
i386_PURGATORY_SRCS += purgatory/arch/i386/entry32.S
i386_PURGATORY_SRCS += purgatory/arch/i386/setup-x86.S
i386_PURGATORY_SRCS += purgatory/arch/i386/stack.S
i386_PURGATORY_SRCS += purgatory/arch/i386/compat_x86_64.S
i386_PURGATORY_SRCS += purgatory/arch/i386/purgatory-x86.c
i386_PURGATORY_SRCS += purgatory/arch/i386/console-x86.c
i386_PURGATORY_SRCS += purgatory/arch/i386/vga.c
i386_PURGATORY_SRCS += purgatory/arch/i386/pic.c
i386_PURGATORY_SRCS += purgatory/arch/i386/crashdump_backup.c

dist += purgatory/arch/i386/Makefile $(i386_PURGATORY_SRCS)	\
	purgatory/arch/i386/purgatory-x86.h			\
	purgatory/arch/i386/include/arch/io.h			\
	purgatory/arch/i386/include/arch/debug.h
