=== purgatory/arch/sh/Makefile ===
#
# Purgatory sh
#

sh_PURGATORY_SRCS =

dist += purgatory/arch/sh/Makefile $(sh_PURGATORY_SRCS)
