=== debian/changelog ===
kexec-tools (1:2.0.31-1ubuntu2) questing; urgency=medium

  * control, rules: Drop xen again.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Sep 2025 09:57:01 +0300

kexec-tools (1:2.0.31-1ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2122318). Remaining changes:
    - d/p/379d8f3ef3219bd400c7893d0a262b079c1de408.patch: riscv64 support
  * Add libzstd-dev build dependency for EFI_ZBOOT

 -- Tobias Heider <tobias.heider@canonical.com>  Wed, 10 Sep 2025 15:56:41 +0200
