=== purgatory/arch/alpha/Makefile ===
#
# Purgatory alpha
#

alpha_PURGATORY_SRCS =

dist += purgatory/arch/alpha/Makefile $(alpha_PURGATORY_SRCS)
