=== purgatory/arch/loongarch/Makefile ===
#
# Purgatory loongarch
#

loongarch_PURGATORY_SRCS+= purgatory/arch/loongarch/purgatory-loongarch.c
loongarch_PURGATORY_SRCS+= purgatory/arch/loongarch/console-loongarch.c

dist += purgatory/arch/loongarch/Makefile $(loongarch_PURGATORY_SRCS)		\
	purgatory/arch/loongarch/purgatory-loongarch.h
