=== purgatory/arch/riscv/Makefile ===
#
# Purgatory riscv
#

riscv_PURGATORY_SRCS =

dist += purgatory/arch/riscv/Makefile $(riscv_PURGATORY_SRCS)
