=== debian/changelog ===
kexec-tools (1:2.0.32-3devuan1) unstable; urgency=medium

  * Fork for Devuan.
  * Restore LSB initscripts. (Closes: #917)

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 04 Dec 2025 08:50:05 +0000

kexec-tools (1:2.0.32-3) unstable; urgency=medium

  * Pull in two patches from upstream to fix build failure on ppc
    (Closes: #1118575)
  * Add init scripts as examples to use with sysvinit. These scripts
    are not installed and configured upon package installation,
    rather they are provided as examples to install and configure
    manually (Closes: #1111802)

 -- Khalid Aziz <khalid@debian.org>  Thu, 13 Nov 2025 15:39:54 -0700

kexec-tools (1:2.0.32-2) unstable; urgency=medium

  * Fixed an error that allowed wrong build dependency on armhf to be
    introduced

 -- Khalid Aziz <khalid@debian.org>  Tue, 21 Oct 2025 10:17:01 -0600

kexec-tools (1:2.0.32-1) unstable; urgency=medium

  * New upstream release
  * Upstream now includes support for riscv64 (Closes: #1019254)
  * Include updated translation for Catalan (Closes: #1117788)
  * Removed patch to update GPL text in COPYING. Upstream includes
    this patch now.

 -- Khalid Aziz <khalid@debian.org>  Mon, 20 Oct 2025 11:28:31 -0600

kexec-tools (1:2.0.31-1) unstable; urgency=medium

  * New upstream release
  * Updated README.debian with details on kexec-load-kernel script
    (Closes: #1107909)
  * Upstream commit 1614959f2f0d79b5f7fdc57d6aa42da1a0298153 resolved
    the issue with makedumpfile failure (Closes: #1086491)

 -- Khalid Aziz <khalid@debian.org>  Mon, 18 Aug 2025 14:09:14 -0600
