=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testdir
 	dh_update_autotools_config
 	dh_autoreconf
-	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" dh_auto_configure -- --prefix=/usr --exec-prefix=/usr --sbindir=/usr/sbin --mandir=/usr/share/man --datadir=/usr/share --without-xen
+	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" dh_auto_configure -- --prefix=/usr --exec-prefix=/usr --sbindir=/usr/sbin --mandir=/usr/share/man --datadir=/usr/share
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -75,7 +75,8 @@
 	dh_installdocs
 	dh_installdebconf
 	dh_installexamples
-	dh_installsystemd
+	dh_installinit -r --name=kexec
+	dh_installinit -r --name=kexec-load
 	dh_lintian
 	dh_install
 	dh_installman
