=== kexec/arch/ppc64/Makefile ===
#
# kexec ppc64 (linux booting linux)
#
KEXEC_C_SRCS+= kexec/arch/ppc64/kexec-elf-rel-ppc64.c
KEXEC_C_SRCS+= kexec/arch/ppc64/kexec-zImage-ppc64.c
KEXEC_C_SRCS+= kexec/arch/ppc64/fs2dt.c
KEXEC_C_SRCS+= kexec/arch/ppc64/kexec-elf-ppc64.c
KEXEC_C_SRCS+= kexec/arch/ppc64/kexec-ppc64.c
KEXEC_C_SRCS+= kexec/arch/ppc64/crashdump-ppc64.c

KEXEC_S_SRCS+=
