=== debian/changelog ===
kexec-tools (20090000-2.0.0ubuntu3.1) jaunty-proposed; urgency=low

  * debian policy forbids dpkg conffile handling and maintainer script
    configuration in the same package as this leads to inconsistant behaviour
    between apt-get install and dpkg -i installs of the same package.  Switch
    wholy to the maintainer script.  LP: #368745
  * kexec reboot has been enabled by default whereas it should have been
    opt-in, it is therefore appropriate to force this off for upgrades from
    older versions.  LP: #251242
  * kexec based reboot triggers a number of semanatic changes which
    are visible to the user, it should be opt-in by default.  Adjust
    kexec.default to disable kexec by default.  LP: #251242

 -- Andy Whitcroft <apw@canonical.com>  Mon, 27 Apr 2009 10:32:46 +0100
