=== debian/control ===
Source: kexec-tools
Section: admin
Priority: optional
Maintainer: Khalid Aziz <khalid@debian.org>
Build-Depends: debhelper (>= 4.0.0), dpatch, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf, automake1.9
Standards-Version: 3.7.3

Package: kexec-tools
Architecture: i386 amd64 ppc64 powerpc ia64 s390 arm armel
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf, initramfs-tools
Description: kexec tool for kexec reboots
 This tool is used to load a kernel in memory and reboot into the kernel
 loaded in memory using the kexec system call.
