=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: patch configure-stamp
configure-stamp: 
	dh_testdir
	# Add here commands to configure the package.
	if [ ! -f ./configure ] ; then aclocal -I config; autoheader; autoconf; fi; \
	./configure --prefix=/usr --sbindir=/sbin --mandir=/usr/share/man --datadir=/usr/share

	touch configure-stamp


build: patch build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: tidy unpatch

tidy: patch configure-stamp 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	rm -fr tmp-source

	# Add here commands to clean up after the build process.
	$(MAKE) dist-clean

	dh_clean 
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kexec-tools
	install -D -m755 debian/kdump.initramfs \
		debian/kexec-tools/usr/share/initramfs-tools/scripts/init-bottom/0_kdump
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	[ ! -f $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static ] || strip $(CURDIR)/debian/kexec-tools/usr/lib/kexec-tools-testing/kexec_test.static
endif


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installdebconf
	dh_installinit --no-start -r --name=kexec -- start 85 6 .
	dh_installinit --no-start -r --name=kexec-load -- stop 18 6 .
	dh_installinit --no-start -r --name=kdump -- start 00 2 .
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
