=== debian/watch ===
version=3
http://www.kernel.org/pub/linux/kernel/people/horms/kexec-tools/kexec-tools-testing-(.*)\.tar\.gz
