## kexec-tools 20090000-2.0.0ubuntu12

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kexec-tools
 Section: admin
 Priority: optional
-Maintainer: Khalid Aziz <khalid@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Khalid Aziz <khalid@debian.org>
 Build-Depends: debhelper (>= 4.0.0), dpatch, gnu-efi (>=3.0a-4)[ia64], libz-dev[ia64], po-debconf, automake1.9
 Standards-Version: 3.7.3
