## kexec-tools 20090000-2.0.0ubuntu12drbl

=== debian/changelog ===
kexec-tools (20090000-2.0.0ubuntu12drbl) karmic; urgency=low

  * A workaround to avoid bug #401405 was added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 09 Oct 2009 15:29:00 +0800
